cURL
curl --request POST \
--url https://api.brightdata.com/dca/trigger_immediate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://targetwebsite.com/product_id/"
}
'import requests
url = "https://api.brightdata.com/dca/trigger_immediate"
payload = { "url": "https://targetwebsite.com/product_id/" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://targetwebsite.com/product_id/'})
};
fetch('https://api.brightdata.com/dca/trigger_immediate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/dca/trigger_immediate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://targetwebsite.com/product_id/'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/dca/trigger_immediate"
payload := strings.NewReader("{\n \"url\": \"https://targetwebsite.com/product_id/\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.brightdata.com/dca/trigger_immediate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://targetwebsite.com/product_id/\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/dca/trigger_immediate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://targetwebsite.com/product_id/\"\n}"
response = http.request(request)
puts response.read_body{
"response_id": "d2t1786372370082rjv3f11k9v18"
}Initiate collection
Trigger async real-time scrape
Trigger an async real-time Scraper Studio scrape. POST /dca/trigger_immediate returns a response_id to fetch the result from the Real-time data endpoint.
POST
/
dca
/
trigger_immediate
cURL
curl --request POST \
--url https://api.brightdata.com/dca/trigger_immediate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://targetwebsite.com/product_id/"
}
'import requests
url = "https://api.brightdata.com/dca/trigger_immediate"
payload = { "url": "https://targetwebsite.com/product_id/" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://targetwebsite.com/product_id/'})
};
fetch('https://api.brightdata.com/dca/trigger_immediate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/dca/trigger_immediate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://targetwebsite.com/product_id/'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/dca/trigger_immediate"
payload := strings.NewReader("{\n \"url\": \"https://targetwebsite.com/product_id/\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.brightdata.com/dca/trigger_immediate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://targetwebsite.com/product_id/\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/dca/trigger_immediate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://targetwebsite.com/product_id/\"\n}"
response = http.request(request)
puts response.read_body{
"response_id": "d2t1786372370082rjv3f11k9v18"
}This endpoint does not return the scrape data. It returns a
response_id. Use that response_id with the Realtime Data endpoint to retrieve the result when the scrape is complete.Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Query Parameters
Body
application/json
A single input object. The fields must match the input schema defined for the collector. Some collectors take url, others take fields such as keyword, location or state.
Response
200 - application/json
Returns immediately with a response_id. Use this ID with the Realtime Data endpoint to retrieve the result.
Was this page helpful?